#ifndef SERIAL_H
#define SERIAL_H

#include <windows.h>

#define SERVO_X_DIRECTION		1
#define SERVO_Y_DIRECTION		0
#define	IMAGE_DATA_SIZE		37905	// 88 (width) * 143(height) * 3(rgb) + 143('2' for each row) + 9("1xy"..."ACK\r3:")+ 1(control char)
#define	IMAGE_DATA_SIZE2	12736	// 88 (width) * 143(height) + 143('2' for each row) + 9("1xy"..."ACK\r3:")+ 1(control char)

class Serial 
{
public:
	HANDLE hSerial;
	int servo_x_val;
	int servo_y_val;
	int width;
	int height;
	unsigned char cmu_image[IMAGE_DATA_SIZE+1];
	unsigned char cmu_image2[IMAGE_DATA_SIZE2+1];
	void Initialize(void);
	void readACK(void);
	void grabImage(char *filename);
	void grabImage2(char *filename);
	void sendServo(int servo_val, int direction);
};

#endif
